class sfha-install {
file { '/tmp/VRTSperl.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSperl-5.16.1.26-RHEL6.x86_64.rpm'}
file { '/tmp/VRTSvlic.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSvlic-3.02.62.003-0.x86_64.rpm'}
file { '/tmp/VRTSspt.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSspt-6.2.0.000-RHEL6.noarch.rpm'}
file { '/tmp/VRTSvxvm.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSvxvm-6.2.0.000-RHEL6.x86_64.rpm'}
file { '/tmp/VRTSaslapm.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSaslapm-6.2.0.000-RHEL6.x86_64.rpm'}
file { '/tmp/VRTSob.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSob-3.4.703-0.i686.rpm'}
file { '/tmp/VRTSvxfs.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSvxfs-6.2.0.000-RHEL6.x86_64.rpm'}
file { '/tmp/VRTSfsadv.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSfsadv-6.2.0.000-RHEL6.x86_64.rpm'}
file { '/tmp/VRTSllt.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSllt-6.2.0.000-RHEL6.x86_64.rpm'}
file { '/tmp/VRTSgab.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSgab-6.2.0.000-RHEL6.x86_64.rpm'}
file { '/tmp/VRTSvxfen.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSvxfen-6.2.0.000-RHEL6.x86_64.rpm'}
file { '/tmp/VRTSamf.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSamf-6.2.0.000-RHEL6.x86_64.rpm'}
file { '/tmp/VRTSvcs.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSvcs-6.2.0.000-RHEL6.i686.rpm'}
file { '/tmp/VRTScps.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTScps-6.2.0.000-RHEL6.x86_64.rpm'}
file { '/tmp/VRTSvcsag.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSvcsag-6.2.0.000-RHEL6.i686.rpm'}
file { '/tmp/VRTSvcsdr.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSvcsdr-6.2.0.000-RHEL6.x86_64.rpm'}
file { '/tmp/VRTSvcsea.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSvcsea-6.2.0.000-RHEL6.i686.rpm'}
file { '/tmp/VRTSdbed.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSdbed-6.2.0.000-RHEL.x86_64.rpm'}
file { '/tmp/VRTSodm.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSodm-6.2.0.000-RHEL6.x86_64.rpm'}
file { '/tmp/VRTSsfmh.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSsfmh-6.1.0.100_Linux.rpm'}
file { '/tmp/VRTSvbs.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSvbs-6.2.0.000-RHEL6.i686.rpm'}
file { '/tmp/VRTSvcswiz.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSvcswiz-6.2.0.000-RHEL6.i686.rpm'}
file { '/tmp/VRTSsfcpi62.rpm' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/VRTSsfcpi62-6.2.0.000-GENERIC.noarch.rpm'}
file { '/tmp/sfha62.ru' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/sfha62.ru'}
file { '/opt/VRTS/install/installer' : 
    ensure => file,
    source => 'puppet:///modules/sfha-install/installer'}

  package {VRTSperl:
    provider => 'rpm',
    source => '/tmp/VRTSperl.rpm',
  }
  package {VRTSvlic:
    provider => 'rpm',
    source => '/tmp/VRTSvlic.rpm',
    require => Package[VRTSperl],
  }
  package {VRTSspt:
    provider => 'rpm',
    source => '/tmp/VRTSspt.rpm',
    require => Package[VRTSvlic],
  }
  package {VRTSvxvm:
    provider => 'rpm',
    source => '/tmp/VRTSvxvm.rpm',
    require => Package[VRTSspt],
  }
  package {VRTSaslapm:
    provider => 'rpm',
    source => '/tmp/VRTSaslapm.rpm',
    require => Package[VRTSvxvm],
  }
  package {VRTSob:
    provider => 'rpm',
    source => '/tmp/VRTSob.rpm',
    require => Package[VRTSaslapm],
  }
  package {VRTSvxfs:
    provider => 'rpm',
    source => '/tmp/VRTSvxfs.rpm',
    require => Package[VRTSob],
  }
  package {VRTSfsadv:
    provider => 'rpm',
    source => '/tmp/VRTSfsadv.rpm',
    require => Package[VRTSvxfs],
  }
  package {VRTSllt:
    provider => 'rpm',
    source => '/tmp/VRTSllt.rpm',
    require => Package[VRTSperl],
  }
  package {VRTSgab:
    provider => 'rpm',
    source => '/tmp/VRTSgab.rpm',
    require => Package[VRTSllt],
  }
  package {VRTSvxfen:
    provider => 'rpm',
    source => '/tmp/VRTSvxfen.rpm',
    require => Package[VRTSgab],
  }
  package {VRTSamf:
    provider => 'rpm',
    source => '/tmp/VRTSamf.rpm',
    require => Package[VRTSvxfen],
  }
  package {VRTSvcs:
    provider => 'rpm',
    source => '/tmp/VRTSvcs.rpm',
    require => Package[VRTSamf],
  }
  package {VRTScps:
    provider => 'rpm',
    source => '/tmp/VRTScps.rpm',
    require => Package[VRTSvcs],
  }
  package {VRTSvcsag:
    provider => 'rpm',
    source => '/tmp/VRTSvcsag.rpm',
    require => Package[VRTScps],
  }
  package {VRTSvcsdr:
    provider => 'rpm',
    source => '/tmp/VRTSvcsdr.rpm',
    require => Package[VRTSvcsag],
  }
  package {VRTSvcsea:
    provider => 'rpm',
    source => '/tmp/VRTSvcsea.rpm',
    require => Package[VRTSvcs],
  }
  package {VRTSdbed:
    provider => 'rpm',
    source => '/tmp/VRTSdbed.rpm',
    require => Package[VRTSfsadv],
  }
  package {VRTSodm:
    provider => 'rpm',
    source => '/tmp/VRTSodm.rpm',
    require => Package[VRTSdbed],
  }
  package {VRTSsfmh:
    provider => 'rpm',
    source => '/tmp/VRTSsfmh.rpm',
    require => Package[VRTSodm],
  }
  package {VRTSvbs:
    provider => 'rpm',
    source => '/tmp/VRTSvbs.rpm',
    require => Package[VRTSsfmh],
  }
  package {VRTSvcswiz:
    provider => 'rpm',
    source => '/tmp/VRTSvcswiz.rpm',
    require => Package[VRTSvcsag],
  }
  package {VRTSsfcpi62:
    provider => 'rpm',
    source => '/tmp/VRTSsfcpi62.rpm',
    require => Package[VRTSperl],
  }

  exec { "installer -responsefile /tmp/sfha62.ru":
      path => ["/opt/VRTS/install"],
           command => "installer -responsefile /tmp/sfha62.ru",
           creates => "/etc/llttab",
           require => Package[VRTSvcswiz, VRTSsfcpi62],
  }
}
